Subject: Re: bug#15124: 24.2; comment indentation functions are messed up

From: Lukasz Stelmach <[email-masked]>
Date: Sun, 18 Aug 2013 22:08:33 +0200

W dniu 18.08.2013 20:48, Glenn Morris pisze:
> Łukasz Stelmach wrote:
> 
>> I've got some problems with making my Emacs insert " *" at the
>> beginning of a new line of a comment block in cc-mode.
>>
>> I have found what looks like a little mess-up.
>>
>> 1. M-j is bound to indent-new-comment-line (an alias for
>> comment-indent-new-line). Comments at the beginning of the
>> newcomment.el files say support for consulting
>> c-comment-line-break-function is yet to be developed.
>>
>> 2. cc-mode augments (cc-cmds.el) indent-new-comment-line to use
>> c-indent-new-comment-line unless comment-line-break-function is bound.
> 
> Which in practice means it does not do this except in very old Emacs
> versions that are no longer relevant.
> 
>> 3. This variable is defined and set in simple.el and used in
>> default-indent-new-line. This however is is not bound to any key so
>> setting it to c-indent-new-comment-line in a mode hook won't help.
> 
> 
> Sorry, I can't understand what the bug is supposed to be.

Contrary to what the cc-mode info (4.4 Filling and Line breaking) says,
M-j does not call c-indent-new-comment-line. This makes it impossible,
like I wrote at the beginnig, to get " *" inserted automatically when
pressing M-j to end a line when editing a comment. The result is:

/*
 * Pressing M-j at the end of this line gives
  only a bad indent at the beginnig of this one. Instead of
 * the proper prefix which in this case should be " * ".
 */

-- 
Było mi bardzo miło.               Czwarta pospolita klęska, [...]
>Łukasz<                 Już nie katolicka lecz złodziejska.  (c)PP